package com.ruoyi.mingxue.service;

import com.ruoyi.mingxue.domain.CustomerFavorites;

import java.util.List;

/**
 * 客户收藏Service接口
 * 
 * @author mingxue
 * @date 2021-07-25
 */
public interface ICustomerFavoritesService 
{
    /**
     * 查询客户收藏
     * 
     * @param id 客户收藏ID
     * @return 客户收藏
     */
    public CustomerFavorites selectCustomerFavoritesById(Long id);

    /**
     * 查询客户收藏列表
     * 
     * @param customerFavorites 客户收藏
     * @return 客户收藏集合
     */
    public List<CustomerFavorites> selectCustomerFavoritesList(CustomerFavorites customerFavorites);

    /**
     * 新增客户收藏
     * 
     * @param customerFavorites 客户收藏
     * @return 结果
     */
    public int insertCustomerFavorites(CustomerFavorites customerFavorites);

    /**
     * 修改客户收藏
     * 
     * @param customerFavorites 客户收藏
     * @return 结果
     */
    public int updateCustomerFavorites(CustomerFavorites customerFavorites);

    /**
     * 批量删除客户收藏
     * 
     * @param ids 需要删除的客户收藏ID
     * @return 结果
     */
    public int deleteCustomerFavoritesByIds(Long[] ids);

    /**
     * 删除客户收藏信息
     * 
     * @param id 客户收藏ID
     * @return 结果
     */
    public int deleteCustomerFavoritesById(Long id);

    public List<String> selectSubjects(String customerCode, String type);
}
